## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name asysocks

Name:           python-%{pypi_name}
Version:        0.2.13
Release:        %autorelease
Summary:        Socks5/Socks4 client and server library

License:        MIT
URL:            https://github.com/skelsec/asysocks
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
A Python Socks5/Socks4 client and server library.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i -e '/^#!\//, 1d' asysocks/__init__.py

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/asysock*

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Oct 14 2024 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.13-2
- UPdate to latest upstream release

* Fri Sep 27 2024 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.13-1
- Update to latest upstream release (closes rhbz#2122398)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.1.7-9
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.1.7-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1.7-2
- Rebuilt for Python 3.11

* Mon Mar 07 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.7-1
- Update to latest upstream release 0.1.7 (closes rhbz#2046541)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.2-1 -
  Update to latest upstream release 0.1.2 (closes rhbz#1985675)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.1-2
- Rebuilt for Python 3.10

* Sun Feb 28 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-1
- * Sun Feb 28 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.1-1 -
  Update to latest upstream release 0.1.1 (#1933456)

* Tue Feb 09 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-1
- * Tue Feb 09 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.0-1 -
  Update to latest upstream release 0.1.0 (#1926506)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 11 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.11-1
- * Mon Jan 11 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.11-1 -
  Update to latest upstream release 0.0.11 (#1914697)

* Fri Oct 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1
- * Fri Oct 30 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1 -
  Update to latest upstream release 0.0.10

* Fri Sep 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.7-2
- Update files section

* Fri Sep 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.7-1
- * Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.7-1 -
  Update to latest upstream release 0.0.7

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.5-1
- * Mon Jun 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.5-1 -
  Update to latest upstream release 0.0.5

* Mon Jun 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.4-1
- * Mon Jun 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.4-1 -
  Update to latest upstream release 0.0.4

* Tue Jun 16 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.3-1
- * Mon Jun 15 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.3-1 -
  Update to latest upstream release 0.0.3

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.0.2-2
- Rebuilt for Python 3.9

* Thu Mar 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.2-1
- * Tue Mar 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.2-1 -
  Initial package for Fedora
## END: Generated by rpmautospec
